# Uses of Class
net.shibboleth.idp.authn.principal.ProxyAuthenticationPrincipal

Packages that use ProxyAuthenticationPrincipal
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.principal.impl
Implementation of functionality related to Java Principals.
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.

## Uses of ProxyAuthenticationPrincipal in net.shibboleth.idp.authn.context

Method parameters in net.shibboleth.idp.authn.context with type arguments of type ProxyAuthenticationPrincipal
Modifier and Type
Method
Description
`private boolean`
AuthenticationContext.`checkProxyRestrictions(Collection<ProxyAuthenticationPrincipal> principals)`
Check for proxy restrictions and evaluate them against the associated `RelyingPartyContext`.

## Uses of ProxyAuthenticationPrincipal in net.shibboleth.idp.authn.principal.impl

Methods in net.shibboleth.idp.authn.principal.impl that return ProxyAuthenticationPrincipal
Modifier and Type
Method
Description
`ProxyAuthenticationPrincipal`
ProxyAuthenticationPrincipalSerializer.`deserialize(String value)`
Deserialize the supplied value.

## Uses of ProxyAuthenticationPrincipal in net.shibboleth.idp.saml.saml2.profile.impl

Methods in net.shibboleth.idp.saml.saml2.profile.impl that return ProxyAuthenticationPrincipal
Modifier and Type
Method
Description
`private ProxyAuthenticationPrincipal`
ValidateSAMLAuthentication.`buildProxyPrincipal(AuthnContext authnContext)`
Construct a populated `ProxyAuthenticationPrincipal` based on the inbound assertion.